package com.yihu.quota.service.cube;

import com.yihu.ehr.query.BaseJpaService;
import com.yihu.quota.dao.cube.CubeDao;
import com.yihu.quota.dao.cube.CubeMappingDao;
import com.yihu.quota.model.cube.Cube;
import com.yihu.quota.model.cube.CubeMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * Created by janseny on 2018/9/10.
 * @author janseny
 */
@Service
public class CubeMappingService extends BaseJpaService<CubeMapping, CubeMappingDao> {

    @Autowired
    private CubeMappingDao cubeMappingDao;
    /**
     * 保存接口
     * @param cubeMapping
     * @return 保存之后的id
     */
    public Integer saveOlapCubeMapping(CubeMapping cubeMapping) {
        cubeMapping = cubeMappingDao.save(cubeMapping);
        return cubeMapping.getId();
    }

    public void deleteOlapcubeMapping(Integer id) {
        cubeMappingDao.delete(id);
    }
}
