package com.yihu.quota.service.cube;

import com.yihu.ehr.query.BaseJpaService;
import com.yihu.quota.dao.cube.CubeMappingDao;
import com.yihu.quota.dao.cube.CubeMemberMappingDao;
import com.yihu.quota.model.cube.Cube;
import com.yihu.quota.model.cube.CubeMapping;
import com.yihu.quota.model.cube.CubeMemberMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * Created by janseny on 2018/9/10.
 * @author janseny
 */
@Service
public class CubeMemberMappingService extends BaseJpaService<CubeMemberMapping, CubeMemberMappingDao> {

    @Autowired
    private CubeMemberMappingDao cubeMemberMappingDao;
    /**
     * 保存接口
     * @param cubeMemberMapping
     * @return 保存之后的id
     */
    public Integer saveOlapCubeMemberMapping(CubeMemberMapping cubeMemberMapping) {
        cubeMemberMapping = cubeMemberMappingDao.save(cubeMemberMapping);
        return cubeMemberMapping.getId();
    }

    public void deleteOlapcubeMemberMapping(Integer id) {
        cubeMemberMappingDao.delete(id);
    }
}
