package com.yihu.quota.etl.formula;

import java.util.Calendar;
import java.util.Date;

public class DateFunc implements Functioner {
    /**
     * @param args args[0] date
     *             args[1] span 1-YEAR， 2-MONTH， 5-DAY_OF_MONTH
     * @return
     */
    @Override
    public Integer execute(Object... args) {
        if (args.length < 2) {
            return 0;
        }

        Date date = (Date) args[0];
        Integer span = (Integer) args[0];
        if (span != Calendar.YEAR && span != Calendar.MONTH && span != Calendar.DAY_OF_MONTH){
            return 0;
        }

        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);

        return calendar.get(Calendar.YEAR);
    }
}
